Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class RepeaterJXPathBindingBuilder

    java.lang.Object
      org.apache.cocoon.forms.binding.JXPathBindingBuilderBase
          org.apache.cocoon.forms.binding.RepeaterJXPathBindingBuilder

All Implemented Interfaces:
  JXPathBindingBuilder

public class RepeaterJXPathBindingBuilder
extends JXPathBindingBuilderBase

RepeaterJXPathBindingBuilder provides a helper class for the Factory implemented in `JXPathBindingManager` that helps construct the actual `RepeaterJXPathBinding` out of the configuration in the provided configElement which looks like:

     <fb:repeater
       id="contacts"
       parent-path="contacts"
       row-path="contact"
       row-path-insert="new-contact"  >

       <fb:identity>
          <!-- nested bindings that map the 'identity' of the items -->
       </fb:identity>

       <fb:on-bind>
          <!-- nested bindings executed on updates AND right after the insert -->
       </fb:on-bind>

       <fb:on-delete-row>
          <!-- nested bindings executed on deletion of row -->
       </fb:on-delete-row>

       <fb:on-insert-row>
          <!-- nested bindings executed to prepare the insertion of a row -->
       </fb:on-insert-row>

     </fb:repeater>

Version:
  $Id: RepeaterJXPathBindingBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary

Nested classes inherited from class org.apache.cocoon.forms.binding.JXPathBindingBuilderBase
`JXPathBindingBuilderBase.CommonAttributes`

Constructor Summary
`RepeaterJXPathBindingBuilder()`

Method Summary
`JXPathBindingBase` | `buildBinding(Element bindingElm, JXPathBindingManager.Assistant assistant)` Creates an instance of `RepeaterJXPathBinding` according to the attributes and nested comfiguration elements of the bindingElm.

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBuilderBase
`getCommonAttributes, mergeCommonAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeaterJXPathBindingBuilder

    public RepeaterJXPathBindingBuilder()

Method Detail

### buildBinding

    public JXPathBindingBase buildBinding(Element bindingElm,
                                          JXPathBindingManager.Assistant assistant)
                                   throws BindingException

  Creates an instance of `RepeaterJXPathBinding` according to the attributes and nested comfiguration elements of the bindingElm.

  Parameters:
    `bindingElm` -
    `assistant` -
  Returns:
    JXPathBindingBase
  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.